Bug 19229 - Clicking Cancel when editing course doesn't take you back to the course
Summary: Clicking Cancel when editing course doesn't take you back to the course
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-31 21:24 UTC by Aleisha Amohia
Modified: 2017-10-14 11:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19229: Return to course when cancelling out of edit form (1.48 KB, patch)
2017-08-31 21:27 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 19229: Return to course when cancelling out of edit form (1.54 KB, patch)
2017-09-07 10:20 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19229: Return to course when cancelling out of edit form (1.62 KB, patch)
2017-09-07 16:49 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-08-31 21:24:12 UTC
Instead it takes you back to the courses home page, which feels like the unexpected behaviour. I would expect to click on a course, click Edit, then click Cancel and be returned to the course.
Comment 1 Aleisha Amohia 2017-08-31 21:27:24 UTC
Created attachment 66677 [details] [review]
Bug 19229: Return to course when cancelling out of edit form

To test:
1) Ensure UseCourseReserves is enabled
2) Go to Course Reserves, create a course
3) Edit course
4) Click Cancel
5) Notice you are returned to the courses home page rather than returned
to the course
6) Apply patch
7) Go to edit course and click cancel again
8) Confirm you are returned to the course and that this feels like the
natural expectation.

Sponsored-by: Catalyst IT
Comment 2 Claire Gravely 2017-09-07 10:20:13 UTC
Created attachment 66925 [details] [review]
Bug 19229: Return to course when cancelling out of edit form

To test:
1) Ensure UseCourseReserves is enabled
2) Go to Course Reserves, create a course
3) Edit course
4) Click Cancel
5) Notice you are returned to the courses home page rather than returned
to the course
6) Apply patch
7) Go to edit course and click cancel again
8) Confirm you are returned to the course and that this feels like the
natural expectation.

Sponsored-by: Catalyst IT
Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Jonathan Druart 2017-09-07 16:49:31 UTC
Created attachment 66948 [details] [review]
Bug 19229: Return to course when cancelling out of edit form

To test:
1) Ensure UseCourseReserves is enabled
2) Go to Course Reserves, create a course
3) Edit course
4) Click Cancel
5) Notice you are returned to the courses home page rather than returned
to the course
6) Apply patch
7) Go to edit course and click cancel again
8) Confirm you are returned to the course and that this feels like the
natural expectation.

Sponsored-by: Catalyst IT
Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-09-07 18:07:55 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-10-10 09:53:34 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 6 Katrin Fischer 2017-10-14 11:59:43 UTC
This patch has been pushed to 16.11.x and will be in 16.11.13.